import { EventEmitter } from "../../stencil-public-runtime";
import { SocketService } from "../../utils/socket-service";
export declare class SearchResultsPage {
    private cdnPath;
    dataKey: string;
    dataMode: string;
    dataAttributes: string;
    configId: string;
    messageSent: EventEmitter;
    messageReceived: EventEmitter;
    errored: EventEmitter;
    query: string;
    searchResultSettings: any;
    searchResults: any;
    hideAllButtons: boolean;
    isChat: boolean;
    chatHistory: any;
    aiMessageId: any;
    socketService: SocketService;
    thumbsId: any;
    isOpen: boolean;
    capturedFile: File | null;
    imgFiles: any;
    displayText: string;
    showWelcomeTemplate: boolean;
    timer: any;
    questionCounter: number;
    emptyMessageError: boolean;
    announceMessage: string;
    isRendered: boolean;
    startStream: EventEmitter;
    private searchInputElem;
    private uploadImageEle;
    private menuElem;
    el: HTMLElement;
    imagesBase64List: any[];
    fetchSearchResults(): Promise<void>;
    messageReceivedHandler(_state: any): void;
    sendMessage(message: string, displayText?: string): Promise<void>;
    sendJSON(jsonData: any, displayText: string): Promise<void>;
    configSearchSettings(): Promise<void>;
    invokeWelcomeAssets(): Promise<void>;
    insertCustomCSS(css: string): void;
    componentWillLoad(): Promise<void>;
    componentDidLoad(): Promise<void>;
    disconnectedCallback(): void;
    surveyHandler(_state: any): void;
    handleInput(event: Event): Promise<void>;
    private loadWelcomeAssets;
    handleKeyDown: (event: KeyboardEvent) => void;
    startTimer(): void;
    private announce;
    adjustHeight: () => void;
    handleFormSubmit(event?: Event, options?: {
        isHide?: boolean;
    }): Promise<void>;
    onInputChange(files: FileList): boolean;
    private uploadImage;
    toggleBox: (e: any) => void;
    captureScreen(): Promise<void>;
    handleClickOutside: (event: MouseEvent) => void;
    handleFollowUp(_event: Event): void;
    render(): any;
}
